
Installation Hints:
===================

  NOTE: This package is used to build KMess from source code.
        If you're looking for a simple way to install KMess,
        take a look at http://www.kmess.org/download/.

  NOTE: These instructions are meant for UNIX-like systems. If they don't
        work for you, please tell us at http://www.kmess.org/board/.
        For building on Windows, see this Wiki page:
        http://trac.kmess.org/wiki/Compiling%20KMess%20for%20Windows

To install KMess from this source package you need to create a separate
build directory first. It must be created outside the source folder. After
that, you must configure your build using cmake.

To ease the building process, KMess comes with a 'configure' script that
creates the directory and runs CMake for you. To build this package, simply
run:

  cd kmess
  ./configure
  make

To install on most systems, you can run:

  sudo make install

If your system doesn't come with sudo, you can use:

  su -c 'make install'

That's it!
Of course, building without the configure script is also possible:

  mkdir build
  cd build
  cmake ..
  make
  sudo make install

Useful parameters:
==================

The configure script automatically makes the right build for you. For a release (non-alpha or beta)
package, the configure script builds KMess in release mode; for an alpha or beta package, KMess will
run in debug mode. When something goes wrong, debug mode will help us find the cause, and fix it. :-)

If you want to modify your build, you can try the following options to the configure script:

--prefix=/usr

  Install in the /usr directory instead.

--build-type=(one of debug,debugfull,release,relwithdebuginfo,minsizerel)

  Tell CMake to build this specific build type.

Also consider running "ccmake" for an curses-interface to cmake.
ccmake only works after the build directory has been configured with cmake before.
